Bug 671331 (CVE-2011-0024)

Summary: CVE-2011-0024 wireshark: heap-based buffer overflow in wireshark < 1.2 when reading malformed capture files
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jlieskov, jsafrane, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-20 15:44:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 549582, 612240, 682932, 833994    
Bug Blocks:    
Attachments:
Description Flags
patch none

Description Huzaifa S. Sidhpurwala 2011-01-21 09:25:52 UTC
Marc Schoenefeld found a heap-based buffer overflow in Wireshark, when reading certain capture files.

A remote attacker could use this flaw to cause wireshark executable
to crash or, potentially, execute arbitrary code with the privileges
of the user running wireshark, if the local user opened a
specially-crafted capture file.

This only affects wireshark < 1.2

Comment 1 Huzaifa S. Sidhpurwala 2011-01-21 10:20:10 UTC
Created attachment 474606 [details]
patch

Comment 5 errata-xmlrpc 2011-03-21 19:39:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0370 https://rhn.redhat.com/errata/RHSA-2011-0370.html